Name:           tuxpaint
Version:        0.9.12
Release:        0.fdr.2.rh90
Epoch:          0
Summary:        Drawing program designed for young children.

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.newbreedsoftware.com/tuxpaint/
Source0:        http://dl.sf.net/tuxpaint/tuxpaint-0.9.12.tar.gz
Patch0:			%{name}-%{version}-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 0:1.2.4, SDL_image-devel, SDL_ttf-devel
BuildRequires:	SDL_mixer-devel, libpng-devel, freetype-devel >= 0:2.0, gettext
BuildRequires:	netpbm-devel, gnome-libs-devel, kdelibs

%description
"Tux Paint" is a free drawing program designed for young children 
(kids ages 3 and up). It has a simple, easy-to-use interface, 
fun sound effects, and a cartoon mascot who helps you along.

%prep
%setup -q
%patch0 -p1 -b .destdir

%build
make %{?_smp_mflags} PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applnk/Graphics
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps/
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_usr} \
			 X11_ICON_PREFIX=%{_datadir}/pixmaps/
find $RPM_BUILD_ROOT -type d|xargs chmod 0755
%find_lang %{name}

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
			 --vendor fedora \
			 --add-category X-Fedora \
			 --add-category Application \
			 --add-category Graphics \
			 --add-category Education \
			 $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Graphics/tuxpaint.desktop
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applnk/
find $RPM_BUILD_ROOT -name "*CVS*" | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/*
%{_docdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%changelog
* Fri Oct 03 2003 Panu Matilainen <pmatilai@welho.com> 0:0.9.12-0.fdr.2
- add missing buildreq's: kdelibs, gnome-libs-devel, SDL_mixer-devel
- remove CVS directories from rpm

* Tue Aug 26 2003 Panu Matilainen <pmatilai@welho.com> 0:0.9.12-0.fdr.1
- Initial RPM release.
